#pragma once

#ifndef RENDER_AREA_HPP
#define RENDER_AREA_HPP

#include "bezier_drawer.hpp"

#include <QWidget>
#include <QPixmap>
#include <QBrush>
#include <QPen>
#include <QTime>



class render_area : public QWidget
{
    Q_OBJECT
public:
    render_area(QWidget *parent = 0);
    ~render_area();



protected:
     void paintEvent(QPaintEvent *event);

     void mouseMoveEvent(QMouseEvent *event);
     void mousePressEvent(QMouseEvent *event);

private:

     QPixmap pixmap;
     bezier_drawer data;

     int vertex_selected;
     int x_old;
     int y_old;

};

#endif
